{% extends '@DemosPlanCore/DemosPlanCore/base_oeb.html.twig' %}
{% set mapglobals = map|default([]) %}
{% set user = templateVars.user %}

{% block component_part %}

    {% if hasPermission('feature_statement_gdpr_consent_may_revoke') %}
        {% set content_subheading = 'statements.yours.list.description.gdpr_consent_may_revoke'|trans %}
    {% else %}
        {% set content_subheading = 'statements.yours.list.description'|trans %}
    {% endif %}

    {% embed '@DemosPlanCore/DemosPlanCore/includes/participation_area_skeleton.html.twig' with {
        content_heading: 'statements.yours'|trans,
        content_subheading: content_subheading,
        full_width: true,
        full_width_pageheader: true
    }%}
        {% block content %}
            {% if templateVars.statements|length == 0 %}
                <p class="flash flash-info">
                    <i class="fa fa-info-circle" aria-hidden="true"></i> {{ "statements.none"|trans }}
                </p>
            {% else %}
            {% if hasPermission('feature_statement_gdpr_consent_may_revoke') %}
                <p class="flash flash-info u-mt-0-lap-up">
                    <i class="fa fa-exclamation-circle" aria-hidden="true"></i> {{ "gdpr.revoke.explanation"|trans }}
                </p>
            {% endif %}

                <ul class="o-list o-list--card">

                    {% for statement in templateVars.statements %}
                        {% block statement_entry %}
                            <li class="o-list__item">
                                <header class="bg-color--grey-light-1 u-ph u-pl-0_25-palm u-pr-0_25-palm u-pv-0_25" id="{{ statement.ident|default() }}">
                                    <div class="inline-block">
                                       {% if statement.externId is defined %}
                                        <p class="u-mv-0"><strong>{{ 'statement.id'|trans }}:</strong> {{ statement.externId|default() }}</p>
                                        {% endif %}
                                        {% if statement.procedure.name is defined %}
                                            <p class="u-mv-0"><strong>{{ 'procedure'|trans }}:</strong> {{ statement.procedure.name|default() }}</p>
                                        {% endif %}
                                    </div>

                                    {% if hasPermission('feature_statement_gdpr_consent_may_revoke') %}
                                        <div class="inline-block float-right-lap-up u-mt-0_5-lap-up u-1-of-1-palm">
                                            <a class="u-pr-0_5 gdpr_revoke"
                                               @click="() => confirm(Translator.trans('gdpr.revoke.confirm'))"
                                               href="{{ path('DemosPlan_revoke_statement', {'statementId': statement.id}) }}"
                                               aria-label="{{ 'gdpr.revoke'|trans }}. {{ 'statement.id'|trans }}: {{ statement.externId }}, {{ 'procedure'|trans }}: {{ statement.procedure.name }}. {{ 'gdpr.revoke.explanation'|trans }}">
                                                {{ 'gdpr.revoke'|trans }}
                                            </a>
                                        </div>
                                    {% endif %}


                                </header>

                                {% block metainfo %}
                                    {%- apply spaceless %}
                                        <dl class="u-mv-0_5">

                                            {# ***** Submission date ***** #}
                                            <dt class="layout__item u-1-of-6 u-1-of-3-palm u-pl-0_5-palm weight--bold">
                                                {{ "submitted.date"|trans }}:
                                            </dt>
                                            <dd class="layout__item u-1-of-3 u-2-of-3-palm u-ml-0">
                                                {{ statement.submit|dplanDate("d.m.Y H:i") }}
                                            </dd>

                                             {# ***** Element ***** #}
                                            <dt class="layout__item u-1-of-6 u-1-of-3-palm u-pl-0_5-palm weight--bold{{ statement.element.title|default()|isNot(' color--grey') }}">
                                                {{ "document"|trans }}:
                                            </dt>
                                            <dd class="layout__item u-1-of-3 u-2-of-3-palm u-ml-0{{ statement.element.title|default()|isNot(' color--grey') }}">
                                                {{ statement.element.title|default() }}{% if statement.document.title is defined %} / {{ statement.document.title }}{% endif %}
                                            </dd>

                                            {# ***** File ***** #}
                                            <dt class="layout__item u-1-of-6 u-1-of-3-palm u-pl-0_5-palm weight--bold{{ statement.file|isNot(' color--grey') }}">
                                                {{ "attachments"|trans }}:
                                            </dt>
                                            <dd class="layout__item u-1-of-3 u-2-of-3-palm u-ml-0{{ statement.file|isNot(' color--grey') }} break-words">
                                                {% if statement.files|default([])|length > 0 %}
                                                    {% for file in statement.files %}
                                                        <a
                                                            target="_blank"
                                                            rel="noopener"
                                                            href="{{ path("core_file", { 'hash': file|getFile('hash') }) }}">
                                                            {{ file|getFile('name') }}
                                                        </a><br>
                                                    {% endfor %}
                                                {% else %}
                                                    {{ "notspecified"|trans }}
                                                {% endif %}
                                            </dd>


                                            {# ***** Paragraph ***** #}
                                            <dt class="layout__item u-1-of-6 u-1-of-3-palm u-pl-0_5-palm weight--bold{{ statement.paragraph.title|default()|isNot(' color--grey') }}">
                                                {{ "paragraph"|trans }}:
                                            </dt>
                                            <dd class="layout__item u-1-of-3 u-2-of-3-palm u-ml-0{{ statement.paragraph.title|default()|isNot(' color--grey') }}">
                                                {{ statement.paragraph.title|default( "notspecified"|trans )|wysiwyg }}
                                            </dd>

                                            {# ***** County ***** #}
                                            {% if hasPermission('field_statement_county') %}
                                                <dt class="layout__item u-1-of-6 u-1-of-3-palm u-pl-0_5-palm weight--bold{{ statement.statementAttributes.county|default()|isNot(' color--grey') }}">
                                                    {{ "county"|trans }}:
                                                </dt>
                                                <dd class="layout__item u-1-of-3 u-2-of-3-palm u-ml-0{{ statement.statementAttributes.county|default()|isNot(' color--grey') }}">
                                                    {% if statement.statementAttributes.county|default %}
                                                        {% for county in templateVars.counties %}
                                                            {% if county.id == statement.statementAttributes.county %}{{ county.name }}{% endif %}
                                                        {% endfor %}
                                                    {% else %}
                                                        {{ "notspecified"|trans }}
                                                    {% endif %}
                                                </dd>
                                            {% endif %}

                                            {#{% if procedureStatementPriorityArea %}#}
                                            {#<dt class="layout__item u-1-of-6 u-1-of-3-palm u-pl-0_5-palm weight--bold{{ statement.statementAttributes.priorityAreaKey|default()|isNot(' color--grey') }}">#}
                                            {#{{ "priorityArea"|trans }}:#}
                                            {#</dt>#}
                                            {#<dd class="layout__item u-1-of-3 u-2-of-3-palm u-ml-0{{ statement.statementAttributes.priorityAreaKey|default()|isNot(' color--grey') }}">#}
                                            {#{% if statement.statementAttributes.priorityAreaKey|default %}#}
                                            {#{% if statement.statementAttributes.priorityAreaKey is iterable %}#}
                                            {#{% for priorityAreaKey in statement.statementAttributes.priorityAreaKey %}#}
                                            {#{{ priorityAreaKey }}#}
                                            {#{% endfor %}#}
                                            {#{% else %}#}
                                            {#{{ statement.statementAttributes.priorityAreaKey }}#}
                                            {#{% endif %}#}
                                            {#{% else %}#}
                                            {#{{ "notspecified"|trans }}#}
                                            {#{% endif %}#}
                                            {#</dd>#}
                                            {#{% endif %}#}

                                        </dl>
                                    {% endapply %}
                                {% endblock %}
                                <hr class="border--top u-mh u-ml-0_5-palm u-mr-0_5-palm" />
                                <span class="layout__item u-1-of-6 u-1-of-1-palm u-pl-0_5-palm u-pb-0_5-lap-up u-pb-0_25-palm weight--bold{{ statement.text|default()|isNot(' color--grey') }}">
                                    {{ "statementtext"|trans }}:
                                </span>
                                <span class="layout__item u-5-of-6 u-1-of-1-palm u-pl-0_5-palm u-pr-0_25-palm break-words u-pr{{ statement.text|default()|isNot(' color--grey') }}">
                                    {# no JS - show whole statement text #}
                                    <div class="u-nojs-show--block">
                                        {{ statement.text|default( "<p>" ~ "notspecified"|trans ~ "</p>" )|dpObscure|wysiwyg }}
                                    </div>

                                    {# with JS - show only part and then toggle whole text on click #}
                                     <div class="u-nojs-hide--block">
                                         {% if statement.text|length > 0 %}
                                             {% if statement.text|length < 3000 %}
                                                {{ statement.text|wysiwyg }}
                                             {% else %}
                                                 <div id="text--short__{{ statement.id }}">
                                                     {{ statement.text|slice(0, 3000)|wysiwyg }} ...
                                                    <button
                                                        class="btn--blank o-link--default float-right u-mv show-more"
                                                        @Click="() => toggleStatement('{{ statement.id }}')"
                                                        aria-label="{{ 'show.more'|trans }} {{ 'statement.id'|trans }}:{{ statement.externId }}, {{ 'procedure'|trans }}:{{ statement.procedure.name }}"
                                                        aria-expanded="false">
                                                        {{ 'show.more'|trans }}
                                                    </button>
                                                 </div>
                                                 <div id="text--full__{{ statement.id }}" class="hidden">
                                                     {{ statement.text|wysiwyg }}
                                                    <button
                                                        class="btn--blank o-link--default float-right u-mv show-less"
                                                        @Click="toggleStatement('{{ statement.id }}')"
                                                        aria-label="{{ 'show.less'|trans }} {{ 'statement.id'|trans }}:{{ statement.externId }}, {{ 'procedure'|trans }}:{{ statement.procedure.name }}"
                                                        aria-expanded="true">
                                                        {{ 'show.less'|trans }}
                                                    </button>
                                                 </div>
                                             {% endif %}
                                         {% else %}
                                             <p>{{ "notspecified"|trans }}</p>
                                         {% endif %}
                                    </div>
                                </span>
                            </li>
                        {% endblock %}
                    {% endfor %}

                </ul>
            {% endif %}

        {% endblock content %}
    {% endembed %}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ webpackBundle('core-genericBundle.js') }}
    <script nonce="{{ csp_nonce('script') }}">
        function toggleStatement(statementId) {
            let shortText = document.getElementById(`text--short__${statementId}`)
            let fullText = document.getElementById(`text--full__${statementId}`)

            shortText.classList.toggle('hidden')
            fullText.classList.toggle('hidden')
        }

    </script>
{% endblock javascripts %}
